org.eclipse.graphiti.mm.algorithms.styles

## Interface TextStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TextStyleImpl

    public interface TextStyle
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Text Style'.

Since:
  0.10

  The following features are supported:

  - `Underline`
  - `Underline Style`
  - `Strikeout`
  - `Font`
  - `Foreground`
  - `Background`
  - `Underline Color`
  - `Strikeout Color`
See Also:
  `StylesPackage.getTextStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getBackground()` Returns the value of the 'Background' reference.
`Font` `getFont()` Returns the value of the 'Font' reference.
`Color` `getForeground()` Returns the value of the 'Foreground' reference.
`Color` `getStrikeoutColor()` Returns the value of the 'Strikeout Color' reference.
`Color` `getUnderlineColor()` Returns the value of the 'Underline Color' reference.
`UnderlineStyle` `getUnderlineStyle()` Returns the value of the 'Underline Style' attribute.
`boolean` `isStrikeout()` Returns the value of the 'Strikeout' attribute.
`boolean` `isUnderline()` Returns the value of the 'Underline' attribute.
`void` `setBackground(Color value)` Sets the value of the '`Background`' reference.
`void` `setFont(Font value)` Sets the value of the '`Font`' reference.
`void` `setForeground(Color value)` Sets the value of the '`Foreground`' reference.
`void` `setStrikeout(boolean value)` Sets the value of the '`Strikeout`' attribute.
`void` `setStrikeoutColor(Color value)` Sets the value of the '`Strikeout Color`' reference.
`void` `setUnderline(boolean value)` Sets the value of the '`Underline`' attribute.
`void` `setUnderlineColor(Color value)` Sets the value of the '`Underline Color`' reference.
`void` `setUnderlineStyle(UnderlineStyle value)` Sets the value of the '`Underline Style`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### isUnderline

    boolean isUnderline()

Returns the value of the 'Underline' attribute.

If the meaning of the 'Underline' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Underline' attribute.
See Also:
  `setUnderline(boolean)`, `StylesPackage.getTextStyle_Underline()`

#### setUnderline

    void setUnderline(boolean value)

Sets the value of the '`Underline`' attribute.

Parameters:
  `value` - the new value of the 'Underline' attribute.
See Also:
  `isUnderline()`

#### getUnderlineStyle

    UnderlineStyle getUnderlineStyle()

Returns the value of the 'Underline Style' attribute. The literals are from the enumeration `UnderlineStyle`.

If the meaning of the 'Underline Style' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Underline Style' attribute.
See Also:
  `UnderlineStyle`, `setUnderlineStyle(UnderlineStyle)`, `StylesPackage.getTextStyle_UnderlineStyle()`

#### setUnderlineStyle

    void setUnderlineStyle(UnderlineStyle value)

Sets the value of the '`Underline Style`' attribute.

Parameters:
  `value` - the new value of the 'Underline Style' attribute.
See Also:
  `UnderlineStyle`, `getUnderlineStyle()`

#### isStrikeout

    boolean isStrikeout()

Returns the value of the 'Strikeout' attribute.

If the meaning of the 'Strikeout' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Strikeout' attribute.
See Also:
  `setStrikeout(boolean)`, `StylesPackage.getTextStyle_Strikeout()`

#### setStrikeout

    void setStrikeout(boolean value)

Sets the value of the '`Strikeout`' attribute.

Parameters:
  `value` - the new value of the 'Strikeout' attribute.
See Also:
  `isStrikeout()`

#### getFont

    Font getFont()

Returns the value of the 'Font' reference.

If the meaning of the 'Font' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Font' reference.
See Also:
  `setFont(Font)`, `StylesPackage.getTextStyle_Font()`

#### setFont

    void setFont(Font value)

Sets the value of the '`Font`' reference.

Parameters:
  `value` - the new value of the 'Font' reference.
See Also:
  `getFont()`

#### getForeground

    Color getForeground()

Returns the value of the 'Foreground' reference.

If the meaning of the 'Foreground' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Foreground' reference.
See Also:
  `setForeground(Color)`, `StylesPackage.getTextStyle_Foreground()`

#### setForeground

    void setForeground(Color value)

Sets the value of the '`Foreground`' reference.

Parameters:
  `value` - the new value of the 'Foreground' reference.
See Also:
  `getForeground()`

#### getBackground

    Color getBackground()

Returns the value of the 'Background' reference.

If the meaning of the 'Background' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Background' reference.
See Also:
  `setBackground(Color)`, `StylesPackage.getTextStyle_Background()`

#### setBackground

    void setBackground(Color value)

Sets the value of the '`Background`' reference.

Parameters:
  `value` - the new value of the 'Background' reference.
See Also:
  `getBackground()`

#### getUnderlineColor

    Color getUnderlineColor()

Returns the value of the 'Underline Color' reference.

If the meaning of the 'Underline Color' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Underline Color' reference.
See Also:
  `setUnderlineColor(Color)`, `StylesPackage.getTextStyle_UnderlineColor()`

#### setUnderlineColor

    void setUnderlineColor(Color value)

Sets the value of the '`Underline Color`' reference.

Parameters:
  `value` - the new value of the 'Underline Color' reference.
See Also:
  `getUnderlineColor()`

#### getStrikeoutColor

    Color getStrikeoutColor()

Returns the value of the 'Strikeout Color' reference.

If the meaning of the 'Strikeout Color' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Strikeout Color' reference.
See Also:
  `setStrikeoutColor(Color)`, `StylesPackage.getTextStyle_StrikeoutColor()`

#### setStrikeoutColor

    void setStrikeoutColor(Color value)

Sets the value of the '`Strikeout Color`' reference.

Parameters:
  `value` - the new value of the 'Strikeout Color' reference.
See Also:
  `getStrikeoutColor()`